LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::sheet::DataPilotFieldLayoutMode Constant Group Reference

describes the layout mode of the data field More...

## Variables
const long | TABULAR_LAYOUT = 0
| Tabular layout mode is the layout, where each item's name is on the same row as the first item from the following field. More...
const long | OUTLINE_SUBTOTALS_TOP = 1
| In outline layout mode, the items from the following field start in the row below an item's name, like in traditional database reports. More...
const long | OUTLINE_SUBTOTALS_BOTTOM = 2
| In outline layout mode, the items from the following field start in the row below an item's name, like in traditional database reports. More...
const long | COMPACT_LAYOUT = 3
| In compact layout mode, the items from the following field start in the row below an item's name with an indentation but in the same column as this field's items are. More...

## Detailed Description

describes the layout mode of the data field

See also
  com::sun::star::sheet::DataPilotFieldLayoutInfo

## Variable Documentation

## ◆ COMPACT_LAYOUT

const long COMPACT_LAYOUT = 3

In compact layout mode, the items from the following field start in the row below an item's name with an indentation but in the same column as this field's items are.

Subtotals are shown at the top (on the same row as the item's name). When the subtotals take up more than one row (manually selected, or because there are several data fields), they are always shown below the item's data, regardless of the setting.

Since
  LibreOffice 7.6

## ◆ OUTLINE_SUBTOTALS_BOTTOM

const long OUTLINE_SUBTOTALS_BOTTOM = 2

In outline layout mode, the items from the following field start in the row below an item's name, like in traditional database reports.

Subtotals are shown at the bottom (below the item's data, as in tabular layout mode). When the subtotals take up more than one row (manually selected, or because there are several data fields), they are always shown below the item's data, regardless of the setting.

## ◆ OUTLINE_SUBTOTALS_TOP

const long OUTLINE_SUBTOTALS_TOP = 1

In outline layout mode, the items from the following field start in the row below an item's name, like in traditional database reports.

Subtotals are shown at the top (on the same row as the item's name). When the subtotals take up more than one row (manually selected, or because there are several data fields), they are always shown below the item's data, regardless of the setting.

## ◆ TABULAR_LAYOUT

const long TABULAR_LAYOUT = 0

Tabular layout mode is the layout, where each item's name is on the same row as the first item from the following field.

Subtotals are always shown below an item's data in this mode.